@import url('https://fonts.googleapis.com/css2?family=Kaushan+Script&family=Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Oswald:wght@200..700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Sen:wght@400..800&display=swap');

html {
  box-sizing: border-box;
}

:root {
  --white: rgb(255, 255, 255);
  --bg-color: rgb(21, 21, 21);
  --primary-color: rgb(169, 25, 58);
  --secondary-color: rgb(199, 54, 89);
  --text-color: rgb(238, 238, 238);
}

body {
  margin: 0;
  min-height: 100vh;
  font-family: Sen, sans-serif;
  letter-spacing: 2px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--bg-color);
}

.container {
  width: 480px;
  height: 630px;
  background: var(--white);
  display: flex;
  flex-direction: column;
  align-items: center;
  border-radius: 10px;
  box-shadow: 0 2px 10px 2px var(--primary-color)
}

/* form */
form {
  width: 90%;
}

.form-group {
  height: 65px;
}

label {
  position: relative;
  bottom: 3px;
}

input {
  width: 100%;
  height: 34px;
  padding: 5px;
  border: 1px solid black;
  border-radius: 5px;
  outline: none;
  box-sizing: border-box;
  transition: all 0.3s;
}

input:valid {
  border: 1px solid green;
}

input:invalid {
  border: 1px solid red;
}

button {
  cursor: pointer;
  background: var(--bg-color);
  color: var(--text-color);
  border: none;
  border-radius: 5px;
  height: 40px;
  width: 100%;
  font-family: Sen, sans-serif;
  font-size: 20px;
  letter-spacing: 2px;
  margin-top: 5px;
}

button:hover {
  filter: brightness(200%);
  background: var(--bg-color);
}

button:focus {
  outline: none;
}

.message-container {
  border: 1px solid var(--bg-color);
  border-radius: 5px;
  width: 90%;
  margin-top: 20px;
  display: flex;
  justify-content: center;
  color: var(--bg-color);
}